> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getunblocked.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Groups

> List all groups.




## OpenAPI

````yaml https://getunblocked.com/api/v1/public-api.json get /scim/v2/Groups
openapi: 3.0.3
info:
  contact:
    email: help@getunblocked.com
    name: Unblocked
  description: >
    The Unblocked Public API offers seamless collection for managing custom data
    sources through a structured set of endpoints.

    It allows users to create collections and organize and upload documents.


    # Base URL

    The base URL for all requests is:


    ```jsx

    https://getunblocked.com/api/v1

    ```


    # Authentication

    Authentication requires an API key, obtainable from the web dashboard,

    which must be included in the `Authorization` request header for all
    endpoints.


    ```bash

    curl -X GET https://getunblocked.com/api/v1/collections \
         -H "Authorization: Bearer YOUR_API_KEY"
    ```


    # Rate Limits & Quotas


    **Resource Limits:**

    - Collections: Maximum 25 per team

    - Request Size: Maximum 10MB per request

    - Pagination: 1-200 items per page (default: 100)


    **Answers API:**

    - Daily Limit: 1000 questions per day per team

    - Quota Reset: Midnight PST

    - Exceeding the limit returns a 429 Too Many Requests error


    **Field Constraints:**

    - Collection name: 1-32 characters

    - Collection description: 1-4096 characters
  title: Unblocked Public API Reference
  version: v1
  x-logo:
    url: https://avatars.githubusercontent.com/u/91906527?s=300
    altText: Unblocked
servers:
  - url: https://getunblocked.com/api/v1
security:
  - ApiKeyBearerAuth: []
tags:
  - description: >
      Ask Unblocked questions and retrieve answers asynchronously. Submit a
      question using the PUT endpoint and poll for the response using the GET
      endpoint.
    name: Answers
  - description: >
      A collection in Unblocked allows you to organize related documents from
      various data sources, such as customer support tools, knowledge bases, and
      internal wikis, which are not natively supported by Unblocked.


      You can create multiple collections to manage documents from different
      sources.


      You have the ability to list, create, update, and delete them as needed.


      Deleting a collection will also remove all the associated documents.
    name: Collections
  - description: >
      Retrieve context from the data sources connected to Unblocked, including
      code, pull requests, issues, messages, and documentation.


      Research produces a synthesized answer with supporting sources. Search
      endpoints return relevant sources from a single content space. Query
      endpoints return the issues or pull requests matching a natural-language
      query with optional filters. The get endpoint retrieves URL content
      directly.


      **Authentication behavior:**

      - **Personal Access Token (PAT) keys**: Requests are attributed to the
      key's user

      - **Team-wide API keys**: Requests are attributed to the team
    name: Context
  - description: >
      A document contains content that Unblocked uses to answer questions. Each
      document is associated with a collection, so you must create a collection
      before adding documents. Documents used to provide answers will appear as
      references in the Unblocked interface.


      You can create and delete documents as needed.
    name: Documents
  - description: >
      SCIM (System for Cross-domain Identity Management) is a standard for
      automating the exchange of user identity information between identity
      domains or IT systems.


      You can use the SCIM API to manage users and groups in Unblocked.


      **Authentication behavior:**

      - **Public API and SCIM API keys**: Accepted for SCIM requests

      - **Personal Access Token (PAT) keys**: Only team admins may use the SCIM
      API; non-admin members receive `403 Forbidden`

      - **SAML prerequisite**: The team must have SAML identity provider
      metadata configured; otherwise requests receive `403 Forbidden`
    name: SCIM
  - description: >
      Retrieve a feed of team events for downstream ingestion into a security

      information and event management (SIEM) system. The feed currently
      includes

      audit logs. Poll the feed to collect new events.
    name: Security Events
  - description: |
      Retrieve usage data for Unblocked products and features.
    name: Usage
paths:
  /scim/v2/Groups:
    get:
      tags:
        - SCIM
      summary: List Groups
      description: |
        List all groups.
      operationId: scimGroupList
      parameters:
        - description: >
            Non-negative integer. Specifies the desired maximum number of query
            results per page. A negative value SHALL be interpreted as

            "0".  A value of "0" indicates that no resource results are to be
            returned except for "totalResults".
          example: 10
          in: query
          name: count
          required: false
          schema:
            format: int32
            type: integer
        - description: >
            A filter expression used to filter the results. The expression is
            evaluated against the resource attributes.
          example: userName eq "bjensen"
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: >
            The 1-based index of the first query result. A value less than 1
            SHALL be interpreted as 1.
          example: 1
          in: query
          name: startIndex
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimGroupListResponse'
          description: OK
          headers:
            link:
              $ref: '#/components/headers/Link'
        default:
          content:
            text/plain:
              schema:
                example: An error occurred.
                type: string
          description: Default error response.
components:
  schemas:
    ScimGroupListResponse:
      description: |
        A SCIM group list.
      properties:
        schemas:
          description: >
            An array of Strings containing URIs that are used to indicate the
            namespaces of the SCIM schemas that define the attributes present

            in the current structure. Each schema URI MUST be unique, and any
            schema that defines attributes in the current structure MUST be

            included in the array. The schemas array is REQUIRED and MUST be
            non-empty.
          items:
            type: string
          type: array
        totalResults:
          description: >
            The total number of results returned by the list or query operation.
            The value may be larger than the number of resources returned,

            such as when returning a single page of results where multiple pages
            are available.
          type: integer
        Resources:
          description: >
            An array of SCIM group objects as defined in [RFC
            7643](https://tools.ietf.org/html/rfc7643#section-4.2).

            This object is used to represent a group in the SCIM API.
          items:
            $ref: '#/components/schemas/ScimGroupResponse'
          type: array
        startIndex:
          description: >
            The 1-based index of the first result in the current set of list
            results.

            REQUIRED when partial results are returned due to pagination.
          type: integer
        itemsPerPage:
          description: |
            The number of resources returned in a list response page.
            REQUIRED when partial results are returned due to pagination.
          type: integer
      required:
        - Resources
        - itemsPerPage
        - schemas
        - startIndex
        - totalResults
      type: object
    ScimGroupResponse:
      description: >
        A SCIM group object as defined in [RFC
        7643](https://tools.ietf.org/html/rfc7643#section-4.2).

        This object is used to represent a group in the SCIM API.
      properties:
        schemas:
          description: >
            An array of Strings containing URIs that are used to indicate the
            namespaces of the SCIM schemas that define the attributes present

            in the current structure. Each schema URI MUST be unique, and any
            schema that defines attributes in the current structure MUST be

            included in the array. The schemas array is REQUIRED and MUST be
            non-empty.
          items:
            type: string
          type: array
        id:
          description: >
            A unique identifier for a SCIM resource as defined by the service
            provider. Each representation of the resource MUST include a

            non-empty "id" value.  This identifier MUST be unique across the
            SCIM service provider's entire set of resources. It MUST be a

            stable, non-reassignable identifier that does not change when the
            same resource is returned in subsequent requests. The value of the

            "id" attribute is always issued by the service provider and MUST NOT
            be specified by the client. The string "bulkId" is a reserved

            keyword and MUST NOT be used within any unique identifier value.
          example: 2819c223-7f76-453a-919d-413861904646
          type: string
        meta:
          $ref: '#/components/schemas/ScimMeta'
        displayName:
          description: |
            A human-readable name for the Group.
          type: string
        members:
          description: >
            A list of members of the group. The value is an array of objects,
            each of which MUST contain a

            "value" sub-attribute which is the id of the member. The value of
            the "value" sub-attribute

            MUST be the id of a SCIM user. The value of the "type" sub-attribute
            MUST be the string "User".
          items:
            $ref: '#/components/schemas/ScimMember'
          type: array
      required:
        - displayName
        - id
        - members
        - meta
        - schemas
      type: object
    ScimMeta:
      description: >
        A complex attribute containing resource metadata. All "meta"
        sub-attributes are assigned by the service provider. This attribute
        SHALL

        be ignored when provided by clients.
      properties:
        resourceType:
          description: |
            The name of the resource type of the resource.
          enum:
            - User
            - Group
          example: User
          type: string
        created:
          description: |
            The "DateTime" that the resource was added to the service provider.
          example: '2011-05-13T04:42:34Z'
          format: date-time
          type: string
        lastModified:
          description: >
            The most recent DateTime that the details of this resource were
            updated at the service provider. If this resource has never been

            modified since its initial creation, the value MUST be the same as
            the value of "created".
          example: '2011-05-13T04:42:34Z'
          format: date-time
          type: string
        location:
          description: |
            The URI of the resource being returned.
          example: >-
            https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646
          format: uri
          type: string
        version:
          description: |
            The version of the resource being returned.
          example: W/"123456"
          type: string
      required:
        - created
        - lastModified
        - location
        - resourceType
        - version
      type: object
    ScimMember:
      description: |
        A SCIM group member.
      properties:
        value:
          description: |
            Identifier of the member of this Group.
          type: string
        type:
          description: |
            A label indicating the type of resource.
          enum:
            - User
            - Group
            - value
          type: string
        \$ref:
          description: >
            The URI of the user corresponding to the member resource of this
            Group.
          type: string
        display:
          description: >
            This typically corresponds to the displayName attribute of the
            referenced resource,

            which in the case of a SCIM User, is the `userName` attribute.
          type: string
      type: object
  headers:
    Link:
      description: |
        A link header providing navigation links related to the response.
      example: <https://api.example.com/some/resource>; rel="next"
      schema:
        type: string
  securitySchemes:
    ApiKeyBearerAuth:
      bearerFormat: Unblocked API Key
      description: The API key to authenticate requests. Obtainable from the web dashboard.
      scheme: bearer
      type: http

````